﻿using Microsoft.EntityFrameworkCore;
using NetworkResurrector.Api.Domain.Data.EntityTypeConfiguration;
using NetworkResurrector.Api.Domain.Entities;

namespace NetworkResurrector.Api.Domain.Data.DbContexts
{
    public class AgentDbContext : DbContext
    {
        public DbSet<Machine> Machines { get; set; }

        public AgentDbContext(DbContextOptions<AgentDbContext> options)
            : base(options)
        {
            base.ChangeTracker.QueryTrackingBehavior = QueryTrackingBehavior.TrackAll;
            base.ChangeTracker.AutoDetectChangesEnabled = true;
        }

        protected override void OnModelCreating(ModelBuilder modelBuilder)
        {
            base.OnModelCreating(modelBuilder);

            modelBuilder.ApplyConfiguration(new MachineConfiguration());
        }
    }
}
